mRNAseq_Preprocess:
  prerequisites: ['has_annotation(entity, "rnaseq__illuminahiseq_rnaseq__unc_edu__Level_3__gene_expression__data")
      || has_annotation(entity, "rnaseq__illuminaga_rnaseq__unc_edu__Level_3__gene_expression__data")
      || has_annotation(entity, "rnaseq__illuminaga_rnaseq__bcgsc_ca__Level_3__gene_expression__data")']
  root-entity: Individual_Set
  report-generating: false
  parameters:
  - {expression: rnaseq__illuminahiseq_rnaseq__unc_edu__Level_3__gene_expression__data,
    optional: true, name: expfile, mode: Simple_Expression}
  - {expression: individual_set_id, optional: false, name: outputprefix, mode: Simple_Expression}
  - {expression: rnaseq__illuminaga_rnaseq__bcgsc_ca__Level_3__gene_expression__data,
    optional: true, name: ga2file, mode: Simple_Expression}
  - {expression: rnaseq__illuminaga_rnaseq__unc_edu__Level_3__gene_expression__data,
    optional: true, name: ga2unc, mode: Simple_Expression}
  outputs:
  - {extension: mRNAseq_raw_counts.txt, expression: individual_set_id, import-entity-type: Sample,
    outputMode: Attach_File, optional: false, target-annotation-type-id: 2672, mode: Simple_Expression}
  - {extension: mRNAseq_RPKM.txt, expression: individual_set_id, import-entity-type: Sample,
    outputMode: Attach_File, optional: false, target-annotation-type-id: 2674, mode: Simple_Expression}
  - {extension: mRNAseq_RPKM_tmm_log2.txt, expression: individual_set_id, import-entity-type: Sample,
    outputMode: Attach_File, optional: false, target-annotation-type-id: 2676, mode: Simple_Expression}
  output-path: mRNAseq/preprocess
  genepattern-lsid: urn:lsid:broadinstitute.org:cancer.genome.analysis:00440:10
